For the complete documentation index, see llms.txt. This page is also available as Markdown.

txFromL1TxHash

Get L1 transaction by L1 transaction hash

get
/api/v1/txFromL1TxHash
Query parameters
hashstringRequired

Ethereum L1 transaction hash.

Responses
200

A successful response.

application/json
codeinteger · int32RequiredExample: 200
messagestringOptional
hashstringRequiredExample: 0x70997970C51812dc3A010C7d01b50e0d17dc79C8
typeinteger · uint8 · min: 1 · max: 64RequiredExample: 1
infostringRequiredExample: {}
event_infostringRequiredExample: {}
statusinteger · int64RequiredExample: 1
transaction_indexinteger · int64RequiredExample: 8761
l1_addressstringRequiredExample: 0x70997970C51812dc3A010C7d01b50e0d17dc79C8
account_indexinteger · int64RequiredExample: 1
nonceinteger · int64RequiredExample: 722
expire_atinteger · int64RequiredExample: 1640995200
block_heightinteger · int64RequiredExample: 45434
queued_atinteger · int64RequiredExample: 1640995200
executed_atinteger · int64RequiredExample: 1640995200
sequence_indexinteger · int64RequiredExample: 8761
parent_hashstringRequiredExample: 0x70997970C51812dc3A010C7d01b50e0d17dc79C8
api_key_indexinteger · uint8RequiredExample: 0
transaction_timeinteger · int64Required

Transaction execution time in Unix microseconds.

Example: 1257894000000000
committed_atinteger · int64RequiredExample: 1640995200
verified_atinteger · int64RequiredExample: 1640995200
get/api/v1/txFromL1TxHash
GET /api/v1/txFromL1TxHash?hash=text HTTP/1.1
Host: mainnet.zklighter.elliot.ai
Accept: */*
{
  "code": 200,
  "message": "text",
  "hash": "0x70997970C51812dc3A010C7d01b50e0d17dc79C8",
  "type": 1,
  "info": "{}",
  "event_info": "{}",
  "status": 1,
  "transaction_index": 8761,
  "l1_address": "0x70997970C51812dc3A010C7d01b50e0d17dc79C8",
  "account_index": 1,
  "nonce": 722,
  "expire_at": 1640995200,
  "block_height": 45434,
  "queued_at": 1640995200,
  "executed_at": 1640995200,
  "sequence_index": 8761,
  "parent_hash": "0x70997970C51812dc3A010C7d01b50e0d17dc79C8",
  "api_key_index": 0,
  "transaction_time": 1257894000000000,
  "committed_at": 1640995200,
  "verified_at": 1640995200
}

Last updated

Was this helpful?